aside {
    width: calc(100% - 20px);
    margin-left: 10px;
    height: 35px;
    position: fixed;
    bottom: 10px;
    z-index: 45000000;
}

aside nav ul {
    width: 100%;
    height: 35px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    align-content: center;
}

aside nav ul li {
    width: 18%;
    height: 100%;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    text-decoration: none;
    list-style: none;
}

aside nav ul li a {
    background-color: rgba(0, 0, 0, .6);
    width: 100%;
    height: 100%;
    text-decoration: none;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    transition: all .2s ease-in-out;
}

aside nav ul li a:hover {
    background-color: rgba(0, 0, 0, .85);
}

aside nav ul li:nth-child(5) a:hover {
    background-color: var(--hexcolor-4);
}

aside nav ul li a img {
    width: 22px;
    filter: grayscale(100%) brightness(0.7);
    transition: all .1s ease-in-out;
}

aside nav ul li a.rc-menu-active {
    background-color: rgba(239, 102, 47, .9);
}

aside nav ul li a.rc-menu-active img {
    filter: grayscale(0) brightness(1);
}

aside nav ul li:nth-child(5) {
    width: 22%;
}

aside nav ul li:nth-child(5) a {
    background-color: var(--hexcolor-1);
    border: 1px solid var(--hexcolor-2);
}

aside nav ul li:nth-child(5) a img {
    filter: none;
}

@media (min-width: 768px) {

    aside {
        width: 350px;
        height: 50px;
        position: fixed;
        top: 50%;
        z-index: 45000000;
        transform: rotate(-90deg) translateY(-290%);
    }

    aside nav ul {
        flex-flow: row-reverse nowrap;
    }

    aside nav ul li a img {
        transform: rotate(90deg);
    }

}

@media (min-width: 1200px) {

    aside {
        width: 400px;
        transform: rotate(-90deg) translateY(-330%);
    }

    aside nav ul {
        height: 45px;
    }

    aside nav ul li a img {
        width: 26px;
    }

}